Bug 489777 - Sugar session missing Logout menu item
Sugar session missing Logout menu item
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sugar (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Simon Schampijer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-03-11 15:40 EDT by Scott Douglass
Modified: 2009-07-28 16:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 16:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Douglass 2009-03-11 15:40:34 EDT
Description of problem:
Once logged in to a Sugar session via GDM, there's no apparent way to logout. 

Version-Release number of selected component (if applicable):

sugar-0.84.0-1.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. choose Sugar session from GDM greeter
2. try to logout, sorry charlie... time to edit your gconf settings!

  
Actual results:
Can't logout

Expected results:
Should have logout option in XO menu

Additional info:

Just need to change the default value to true for this key in

/etc/gconf/schemas/sugar.schemas

 <schema>
      <key>/schemas/desktop/sugar/show_logout</key>
      <applyto>/desktop/sugar/show_logout</applyto>
      <owner>sugar</owner>
      <type>bool</type>
      <default>false</default>
      <locale name="C">
      <!-- FIXME: Enable these after string freeze is over
        <short>Show Log out</short>
        <long>If TRUE, Sugar will show a "Log out" option.</long>-->
      </locale>
    </schema>

Which is installed by the sugar RPM.
Comment 1 Simon Schampijer 2009-03-22 14:10:38 EDT
Fixed with http://koji.fedoraproject.org/koji/buildinfo?buildID=95011 - thanks for the report.
Comment 2 Fedora Admin XMLRPC Client 2009-04-06 16:39:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Mikus Grinbergs 2009-07-28 16:22:48 EDT
I'm running with XO-1 build dev.laptop.org/~dsd/f11-xo1/os2, created around 7/23/2009 from the source repositories.  It has the correct content (described above) in /etc/gconf/schemas/sugar.schemas -- but there does not seem to be any apparent way to logout once logged in to the Sugar session.

Note You need to log in before you can comment on or make changes to this bug.